using BookReader.Services;

namespace BookReader;

public partial class App : Application
{
    public App(IDatabaseService databaseService)
    {
        InitializeComponent();

        // Initialize database
        Task.Run(async () => await databaseService.InitializeAsync()).Wait();
    }

    protected override Window CreateWindow(IActivationState? activationState)
    {
        return new Window(new AppShell());
    }
}